CUPTI (PDF) - v9.0.176 (older) - Last updated September 2, 2017 - Send Feedback

## 3.57. CUpti_ActivityStream Struct Reference

## [CUPTI Activity API]

This activity is used to track created streams. (CUPTI_ACTIVITY_KIND_STREAM).

### Public Variables

uint32_t contextId
CUpti_ActivityStreamFlag flag
CUpti_ActivityKind kind
uint32_t pad
uint32_t priority
uint32_t streamId

### Variables

uint32_t CUpti_ActivityStream::contextId [inherited]

  The ID of the context where the stream was created.

CUpti_ActivityStreamFlag CUpti_ActivityStream::flag [inherited]

  Flags associated with the stream.

CUpti_ActivityKind CUpti_ActivityStream::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_STREAM.

uint32_t CUpti_ActivityStream::pad [inherited]

  Undefined. Reserved for internal use.

uint32_t CUpti_ActivityStream::priority [inherited]

  The clamped priority for the stream.

uint32_t CUpti_ActivityStream::streamId [inherited]

  A unique stream ID to identify the stream.